Please convert cairomm to multiarch

Bug #902899 reported by Evan Broder on 2011-12-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cairomm (Debian)
Fix Released
Unknown
cairomm (Ubuntu)
Wishlist
Unassigned

Bug Description

Attached is a patch to cairomm which transitions it to use multiarch library paths.

Since libcairomm-1.0-dev contains no build-time-generated include files or arch-dependent scripts/executables, it can be safely marked as Multi-Arch: same, so this patch does so. Because many of its direct and indirect dependencies have not yet been transitioned for multiarch, libcairomm-1.0-dev will not currently be multiarch co-installable. This is fine, though, and if all of the dependencies were ever to be transitioned for multiarch, the libcairomm -dev package would immediately become multiarch co-installable.

Typically the biggest outstanding blocker to multiarch transitions is .la files with non-empty dependency_libs lines. However, I checked all files listed in http://lintian.ubuntuwire.org/tags/non-empty-dependency_libs-in-la-file.html (http://paste.ubuntu.com/766579/) and cairomm isn't listed anywhere, so this transition should be safe now by that metric.

Related branches

Evan Broder (broder) wrote :
Changed in cairomm (Ubuntu):
importance: Undecided → Wishlist
Changed in cairomm (Debian):
status: Unknown → New
Daniel Holbach (dholbach) wrote :

Thanks for your work on this. I took the liberty to update debian/compat to 9 - AFAIU http://wiki.debian.org/Multiarch/Implementation and debhelper(7) that should be a good idea - let me know if you left it out intentionally.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairomm - 1.10.0-1ubuntu1

---------------
cairomm (1.10.0-1ubuntu1) precise; urgency=low

  [ Evan Broder ]
  * Convert to multiarch (LP: #902899):
    - Pass --libdir with multiarch path to configure
    - Adjust .install files to refer to /usr/lib subdirs
    - Add multiarch Pre-Depends
    - Bump debhelper and cdbs build-deps for ${misc:Pre-Depends} and
      $(DEB_HOST_MULTIARCH) support, respectively

  [ Daniel Holbach ]
  * debian/compat: updated to 9.
 -- Evan Broder <email address hidden> Sat, 10 Dec 2011 18:18:25 -0800

Changed in cairomm (Ubuntu):
status: New → Fix Released
Changed in cairomm (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.